Description: fix warning "Possible precedence issue with control flow operator"
Origin: vendor
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2015-05-29
Forwarded: https://github.com/thaljef/Package-Locator/issues/2
Bug: https://github.com/thaljef/Package-Locator/issues/2

--- a/lib/Package/Locator/Index.pm
+++ b/lib/Package/Locator/Index.pm
@@ -185,7 +185,7 @@
 
     return 1 if -e $dir;
     $dir = dir($dir) unless eval { $dir->isa('Path::Class::Dir') };
-    return $dir->mkpath() or croak "Failed to make directory $dir: $!";
+    return $dir->mkpath() || croak "Failed to make directory $dir: $!";
 }
 
 #------------------------------------------------------------------------
